Summary: An improved FTP client.
Name: ncftp
Version: 3.0.3
Release: 1tr
Prefix: %{_prefix}
Patch: ncftp-3.0.2-no-confirm.patch
Copyright: Distributable
Group: Network/Clients
Source0: ftp://ftp.ncftp.com/ncftp/ncftp-%{version}-src.tar.gz
BuildRoot: /var/tmp/%{name}-root

%description
Ncftp is an improved FTP client.  Ncftp's improvements include support
for command line editing, command histories, recursive gets, automatic
anonymous logins and more.

Install ncftp if you use FTP to transfer files and you'd like to try
some of ncftp's additional features.

%prep
%setup -q

%patch -p1

%build
%configure --enable-signals
make

%install
rm -rf $RPM_BUILD_ROOT
mkdir -p $RPM_BUILD_ROOT/usr/bin
mkdir -p $RPM_BUILD_ROOT/usr/share/man

make prefix=$RPM_BUILD_ROOT/usr mandir=$RPM_BUILD_ROOT/usr/share/man BINDIR=$RPM_BUILD_ROOT/usr/bin install

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(-,root,root)
%doc *README WHATSNEW-3.0 LICENSE.txt doc/html doc/manifest* doc/readme*
/usr/bin/ncftp
/usr/bin/ncftpget
/usr/bin/ncftpput
/usr/bin/ncftpbatch
/usr/bin/ncftpls
/usr/bin/ncftpbookmarks
/usr/share/man/man1/ncftp.1*
/usr/share/man/man1/ncftpget.1*
/usr/share/man/man1/ncftpput.1*
/usr/share/man/man1/ncftpbatch.1*
/usr/share/man/man1/ncftpls.1*

%changelog
* Fri Jun  8 2001 Oystein Viggen <oysteivi@trustix.com>
- New upstream version: 3.0.3

* Tue Mar 27 2001 Alexander Reelsen <ar@trustix.com>
- Fixed built problems

* Fri Nov 10 2000 Oystein Viggen <oysteivi@trustix.com>
- v3.0.2

* Wed Apr 12 2000 Oystein Viggen <oysteivi@trustix.com>
- upgraded to version 3.0.1

* Tue Mar 28 2000 Oystein Viggen <oysteivi@trustix.com>
- upgraded to version 3.0.0, fixing problems with national chars

* Mon Feb 28 2000 Lars Gaarden <larsg@trustix.com>
- removed applnk
- moved man pages to /usr/share, FHS

* Sat Feb  5 2000 Bernhard Rosenkraenzer <bero@redhat.com>
- Deal with rpm compressing man pages
- remove wmconfig stuff

* Thu Jan  6 2000 Jeff Johnson <jbj@redhat.com>
- add missing docs.
- y2k wartlet (#8225)

* Tue Nov  9 1999 Bernhard Rosenkraenzer <bero@redhat.com>
- 3.0b21
- enable signal usage

* Sat Jun 12 1999 Jeff Johnson <jbj@redhat.com>
- 3.0b19

* Sun Mar 21 1999 Cristian Gafton <gafton@redhat.com> 
- auto rebuild in the new build environment (release 3)

* Wed Feb 24 1999 Bill Nottingham <notting@redhat.com>
- return of wmconfig

* Tue Feb 23 1999 Bill Nottingham <notting@redhat.com>
- 3.0b18

* Fri Feb 12 1999 Bill Nottingham <notting@redhat.com>
- 3.0b17

* Wed Dec  2 1998 Bill Nottingham <notting@redhat.com>
- 3.0b16

* Wed Nov 18 1998 Bill Nottingham <notting@redhat.com>
- add docs

* Thu Nov  5 1998 Bill Nottingham <notting@redhat.com>
- update to 3.0beta15

* Thu Aug 13 1998 Jeff Johnson <jbj@redhat.com>
- build root

* Fri Apr 24 1998 Prospector System <bugs@redhat.com>
- translations modified for de, fr, tr

* Wed Apr 08 1998 Cristian Gafton <gafton@redhat.com>
- compiled for Manhattan

* Fri Mar 20 1998 Cristian Gafton <gafton@redhat.com>
- updated to 2.4.3 for security reasons

* Wed Nov 05 1997 Donnie Barnes <djb@redhat.com>
- added wmconfig entry

* Wed Oct 21 1997 Cristian Gafton <gafton@redhat.com>
- fixed the spec file

* Fri Oct 10 1997 Erik Troan <ewt@redhat.com>
- updated to ncftp 2.4.2

* Thu Jul 10 1997 Erik Troan <ewt@redhat.com>
- built against glibc

* Tue Mar 25 1997 Donnie Barnes <djb@redhat.com>
- Rebuild as Sun version didn't work.
